<?php
/* Essential Grid support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tourimo_essential_grid_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tourimo_essential_grid_theme_setup9', 9 );
	function tourimo_essential_grid_theme_setup9() {
		if ( tourimo_exists_essential_grid() ) {
			add_action( 'wp_enqueue_scripts', 'tourimo_essential_grid_frontend_scripts', 1100 );
			add_filter( 'tourimo_filter_merge_styles', 'tourimo_essential_grid_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'tourimo_filter_tgmpa_required_plugins', 'tourimo_essential_grid_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tourimo_essential_grid_tgmpa_required_plugins' ) ) {
	
	function tourimo_essential_grid_tgmpa_required_plugins( $list = array() ) {
		if ( tourimo_storage_isset( 'required_plugins', 'essential-grid' ) && tourimo_storage_get_array( 'required_plugins', 'essential-grid', 'install' ) !== false && tourimo_is_theme_activated() ) {
			$path = tourimo_get_plugin_source_path( 'plugins/essential-grid/essential-grid.zip' );
			if ( ! empty( $path ) || tourimo_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => tourimo_storage_get_array( 'required_plugins', 'essential-grid', 'title' ),
					'slug'     => 'essential-grid',
					'source'   => ! empty( $path ) ? $path : 'upload://essential-grid.zip',
					'version'  => '2.2.4.2',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'tourimo_exists_essential_grid' ) ) {
	function tourimo_exists_essential_grid() {
		return defined( 'EG_PLUGIN_PATH' );
	}
}

// Enqueue styles for frontend
if ( ! function_exists( 'tourimo_essential_grid_frontend_scripts' ) ) {
	
	function tourimo_essential_grid_frontend_scripts() {
		if ( tourimo_is_on( tourimo_get_theme_option( 'debug_mode' ) ) ) {
			$tourimo_url = tourimo_get_file_url( 'plugins/essential-grid/essential-grid.css' );
			if ( '' != $tourimo_url ) {
				wp_enqueue_style( 'tourimo-essential-grid', $tourimo_url, array(), null );
			}
		}
	}
}

// Merge custom styles
if ( ! function_exists( 'tourimo_essential_grid_merge_styles' ) ) {
	
	function tourimo_essential_grid_merge_styles( $list ) {
		$list[] = 'plugins/essential-grid/essential-grid.css';
		return $list;
	}
}

